@echo off

REM How to start java on your machine?
set JAVA_COMMAND=java

REM Parameters
REM ***********************

REM Please set to the MiningMart directory without final slash:
set MM_HOME=

REM Please set local directory for configuration (write access necessary):
set MM_LOCAL_DIR=


REM libraries
REM *********

set MMJAR=%MM_HOME%\mmart.jar
set LIBPATH=%MM_HOME%\lib
set HOTDRAW=%LIBPATH%\hotdraw.jar;%LIBPATH%\GraphView.jar
set LOG4J=%LIBPATH%\log4j.jar
set JDBC=%LIBPATH%\classes12.zip
set HELP=%LIBPATH%\jh.jar


REM running the application
REM ***********************

cd %MM_HOME%

%JAVA_COMMAND% -classpath "%MM_HOME%;%MMJAR%;%HOTDRAW%;%LOG4J%;%JDBC%;%HELP%" -DMM_HOME=%MM_HOME% -DMM_LOCAL=%MM_LOCAL_DIR% LaunchMiningMart
